%define major 0
%define api 1.15
%define libname %mklibname cppunit %{api}_%{major}
%define develname %mklibname cppunit -d
%define testrunnermajor 1
%define testrunnerlibname %mklibname qttestrunner %{testrunnermajor}

Summary:	C++ port of JUnit Testing Framework
Name:		cppunit
Version:	1.15.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.freedesktop.org/wiki/Software/cppunit
Source0:	http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.xz
Patch:		cppunit-1.11.4-missing-include.patch
Patch1:		cppunit-1.12.1-qt3-gcc43.patch
BuildRequires:	doxygen
Obsoletes:	cppunit1_12 < 1.12.1-11

%description
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%package -n %{libname}
Summary:	C++ port of JUnit Testing Framework
Group:		System/Libraries

%description -n	%{libname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%if ! %with qt3
%package -n %{testrunnerlibname}
Summary:	QT Testrunner for %{name}
Group:		System/Libraries

%description -n %{testrunnerlibname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.
%endif

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}
Obsoletes:	%{_lib}cppunit1_12-devel < 1.12.1-11

%description -n %{develname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%prep
%setup -q
%patch -p1

%build
%configure2_5x --disable-static \
    --enable-doxygen 

# <oden> somehow LIBADD_DL is ignored, is that an intentional change?
perl -pi -e "s|^LIBS =.*|LIBS = -lm -ldl|g" src/cppunit/Makefile

%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

#(tpg) do not duplicate docs
rm -rf  %{buildroot}%{_datadir}/doc/cppunit

# clean up
rm -rf %{buildroot}%{_datadir}/cppunit

%files -n %{libname}
%{_libdir}/libcppunit-%{api}.so.%{major}*

%files -n %{develname}
%{_bindir}/DllPlugInTester
%{_libdir}/*.so
%{_includedir}/cppunit
%{_libdir}/pkgconfig/cppunit.pc


%changelog
* Sun Dec 22 2019 tex - 1.15.0-1pclos2019
- New version 1.15.0

* Thu Oct 19 2017 bb2 <bb2> - 1.14.0-1pclos2017
- new version
- new gcc
